Attribute VB_Name = "Module1"

Public Declare Function InitializeComm Lib "RioCom" (ByVal Comport As Long, ByVal BaudRate As Long) As Long
Public Declare Function TerminateComm Lib "RioCom" (ByVal Comport As Long) As Long
Public Declare Function Reset_Message Lib "RioCom" (ByVal RelogioId As String) As Long
Public Declare Function InitializeCommWithoutOpen Lib "RioCom" (ByVal Comport As Long) As Long
Public Declare Function InitializeCommWithoutError Lib "RioCom" (ByVal Comport As Long, ByVal BaudRate As Long) As Long

Public Declare Function W_SaveData Lib "RioCom" (ByVal RelogioId As String, ByVal Index As Long, ByVal data As String, ByVal DataSize As Long) As Long
Public Declare Function W_ReadSeconds Lib "RioCom" (ByVal RelogioId As String) As Long
Public Declare Function W_SendConfigurations Lib "RioCom" (ByVal RelogioId As String, ByVal IntervaloMarcacoes As Long, ByVal TempoDisplay As Long, _
                        ByVal FechoDia As Long, ByVal FormatoHora As Long, ByVal SerieCartoes As Long, ByVal MaximoTrabalho As Long, _
                        ByVal tick As Long, ByVal PortaRele1 As Long, ByVal PortaRele2 As Long) As Long
Public Declare Function W_SendMessage Lib "RioCom" (ByVal RelogioId As String, ByVal Empregado As Long, _
                        ByVal Texto As String, ByVal Tipo As Long) As Long
Public Declare Function W_ShowMessage Lib "RioCom" (ByVal RelogioId As String, ByVal size As Long, ByVal Texto As String) As Long
Public Declare Function W_SendSeconds Lib "RioCom" (ByVal RelogioId As String, ByVal Seconds As Long) As Long
Public Declare Function W_AdjustSeconds Lib "RioCom" (ByVal RelogioId As String, ByVal Seconds As Long) As Long
Public Declare Function W_ReadPointers Lib "RioCom" (ByVal RelogioId As String, ByRef Ptr1 As Long, ByRef Ptr2 As Long, ByRef Ptr3 As Long) As Long
Public Declare Function W_InsertEvent Lib "RioCom" (ByVal RelogioId As String, ByVal Index As Long, ByVal Segundos As Long, ByVal periodo As Long, _
                        ByVal repeticao As Long, ByVal funcao As Long, ByVal segundos_de_toque As Long, ByVal dias_da_semana As Long) As Long
Public Declare Function W_LoadData Lib "RioCom" (ByVal RelogioId As String, ByVal Index As Long, ByVal size As Long) As Long
Public Declare Function W_DeleteEntry Lib "RioCom" (ByVal RelogioId As String, ByVal Index As Long) As Long
Public Declare Function W_InsertEntry Lib "RioCom" (ByVal RelogioId As String, ByVal Index As Long, ByVal Segundos As Long, _
                        ByVal Empregado As Long, ByVal aux1 As Long, ByVal aux2 As Long, ByVal presente As Long) As Long
Public Declare Function W_SendReaderPointer Lib "RioCom" (ByVal RelogioId As String, ByVal n As Long) As Long
Public Declare Function W_SendAllPointers Lib "RioCom" (ByVal RelogioId As String, ByVal Pt1 As Long, ByVal Pt2 As Long, ByVal Pt3 As Long) As Long
Public Declare Function W_Kill Lib "RioCom" (ByVal RelogioId As String) As Long

Public Declare Function W_ChangeEntry Lib "RioCom" (ByVal RelogioId As String, ByVal Index As Long, ByVal Segundos As Long, _
                        ByVal Empregado As Long, ByVal aux1 As Long, ByVal aux2 As Long, ByVal presente As Long) As Long

Public Declare Function W_SendEmployerName Lib "RioCom" (ByVal RelogioId As String, ByVal Cartao As Long, ByVal Texto As String, _
                        ByVal numero As Long, ByVal flags As Long) As Long
                        
Public Declare Function W_ClearEmployerName Lib "RioCom" (ByVal RelogioId As String, ByVal Cartao As Long) As Long

Public Declare Function W_SendJustifications Lib "RioCom" (ByVal RelogioId As String, ByVal Texto As String) As Long

Public Declare Function W_ChangeState Lib "RioCom" (ByVal RelogioId As String, ByVal Cartao As Long, ByVal Estado As String) As Long

Public Declare Function W_ReceiveEntry Lib "RioCom" (ByVal RelogioId As String, ByRef Index As Long, ByRef Segundos As Long, _
                        ByRef Empregado As Long, ByRef aux1 As Byte, ByRef aux2 As Byte, ByRef presente As Byte) As Long

Public Declare Function W_ReceiveEntry_OR Lib "RioCom" (ByVal RelogioId As String, ByRef Index As Long, ByRef Segundos As Long, _
                        ByRef Empregado As Long, ByRef aux1 As Byte, ByRef aux2 As Byte, ByRef presente As Byte, ByRef ORn As Long, _
                        ByRef codigo As Long) As Long

Public Declare Function SetPCName Lib "RioCom" (ByVal PCId As String) As Long
Public Declare Sub SetConfirmationsTimeout Lib "RioCom" (ByVal Timeout As Long, ByVal DetectDevice As Long)

Public Declare Function IO_Open Lib "RioCom" (ByVal Comport As Long, ByVal BaudRate As Long) As Long
Public Declare Function IO_Close Lib "RioCom" (ByVal Comport As Long) As Long
Public Declare Function IO_Write Lib "RioCom" (ByVal Comport As Long, ByVal NumeroBytes As Long, ByVal data As String) As Long
Public Declare Function IO_Read Lib "RioCom" (ByVal Comport As Long, ByVal NumeroBytes As Long, ByVal data As String, ByVal Timeout As Long) As Long


